
function nextPage(wizardMainView)
{

  // Creating new Form for sending current & previous data
  var newFrm = createForm(wizardMainView + ".ve","post","WizardData");
  
  // storing current form's data
  var currentForm = document.forms[stateData[wizardMainView]["CURRENTVIEW"] + "_FRM"]; 
  appendFormData(currentForm,newFrm);
  
  // storing previous forms data  
  storeOldData(wizardMainView,newFrm);
  document.body.appendChild(newFrm);

  submitFormAsSubReq(newFrm,"WIZARDFRAME");
}

function storeOldData(wizardMainView,newFrm)
{
  for(var i=0;i<prevViews.length;i++)
  {
     appendFormData(prevViewHtml[i].getElementsByTagName("form")[0],newFrm);
  }
}

function appendFormData(form,newFrm)
{
  var elements = form.elements;
  var len = elements.length;
  for(var k=0;k<len;k++)
  {
      elem = elements[k];
      
      if(elem.type == "select-one" || elem.type == "select-multiple")
      {
           var selectedIndex = elem.selectedIndex;
           if(selectedIndex >= 0)
           {
             var options = elem.options;
             var optionsLen = options.length;
             for(var i=0;i<optionsLen;i++)
             {
                if(options[i].selected)
                {
               	   var newElement = document.createElement("input"); 
		   newElement.setAttribute("type","hidden");
      		   newElement.setAttribute("name",elem.name);
      		   newElement.setAttribute("value",elem.options[i].value);
   		   newFrm.appendChild(newElement);
                }
             }
           }
      }
      else
      {
   	var newElement = document.createElement("input"); 
      	newElement.setAttribute("type","hidden");
      	newElement.setAttribute("name",elem.name);
	if(elem.type == "checkbox")
	{
	   if(elem.checked)
	   {
	     newElement.setAttribute("value",elem.value);
	     newFrm.appendChild(newElement);
	   }
	}
	else if(elem.type == "radio")
	{
	  if(elem.checked)
	  {
	    newElement.setAttribute("value",elem.value);
	    newFrm.appendChild(newElement);
	  }
	}
	else
	{
	    newElement.setAttribute("value",elem.value);
	    newFrm.appendChild(newElement);
	}
      }
  }
}

var prevViews = new Array();
var prevViewHtml = new Array(); 

function handleWizardResponse(uniqueId)
{
  if(checkIfBlankPage(parent.WIZARDFRAME))
  {
    return;
  }   
  
  if(parent.WIZARDFRAME.WIZARD_FINISH)
  {
    return;
  }

  if(handleErrorIfPresent(parent.WIZARDFRAME))
  { 
     return;
  }

  var index = -1;
  for(var i =0; i < prevViews.length; i++)
  {
       if(prevViews[i] == parent.WIZARDFRAME.ROOT_VIEW_ID)
       {
          index = i;
          prevViews.splice(i, prevViews.length - (i));
          prevViewHtml.splice(i, prevViewHtml.length - (i));
          break;
       }
  }
  
  if(index == -1)
  {
     index = prevViews.length;
     prevViews[index] = stateData[uniqueId]["CURRENTVIEW"];
     var oldNode = document.getElementById(prevViews[prevViews.length -1] + "_CT");
     oldNode.parentNode.removeChild(oldNode); 
     prevViewHtml[index] = oldNode;
  }
  
  stateData[uniqueId]["CURRENTVIEW"] = parent.WIZARDFRAME.ROOT_VIEW_ID;
  
  var newNode = parent.WIZARDFRAME.document.getElementById(parent.WIZARDFRAME.ROOT_VIEW_ID + "_CT");
  
  var visibleDivEle = document.getElementById(uniqueId + "_VISIBLE"); 
  visibleDivEle.innerHTML=newNode.parentNode.innerHTML;
  if(visibleDivEle.getElementsByTagName("form").length == 0)
  {//OPERA fix
    var form = document.createElement("form");
    form.setAttribute("name",stateData[uniqueId]["CURRENTVIEW"] + "_FRM");
    form.innerHTML = newNode.innerHTML;

    var newCrNode = document.createElement("div");
    var origAttributes = newNode.attributes;
    for(var i =0; i < origAttributes.length;i++)
    {
	newCrNode.setAttribute(origAttributes[i].name,origAttributes[i].value);
    }
    newCrNode.appendChild(form);
    visibleDivEle.innerHTML = "";
    visibleDivEle.appendChild(newCrNode);
  }
}

function previousPage(wizardMainView)
{
    var oldNode = prevViewHtml.pop();
    var prevView = prevViews.pop();
    
    var currentNode = document.getElementById(stateData[wizardMainView]["CURRENTVIEW"] + "_CT");
    
    var visibleDivEle = document.getElementById(wizardMainView + "_VISIBLE");
    stateData[wizardMainView]["CURRENTVIEW"] = prevView;
    currentNode.parentNode.removeChild(currentNode);
    visibleDivEle.appendChild(oldNode);
    
}
